
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>支持HTML5 SqlLite的AndroidApp / 憋错料</title>

    <meta name="description" content="支持HTML5 SqlLite的AndroidApp 简介: 想要建立一个支持HTML5的Android App; 这个HTML5的程序需要使用本地存储,特别是sqllite; 用eclipse创建了一个app,这个app默认在res/layout建了两个描述界面的xml文件,一个调用另一个,下面的代码基于这种情况; package com.example.helloweb; import android.app.Activity; import android.app.ActionBar; import android.app.Fragment;">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">支持HTML5 SqlLite的AndroidApp</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p>简介：</p>
<p>想要建立一个支持HTML5的Android App;</p>
<p>这个HTML5的程序需要使用本地存储，特别是sqllite;</p>
<p>用eclipse创建了一个app,这个app默认在res/layout建了两个描述界面的xml文件，一个调用另一个，下面的代码基于这种情况;</p>
<pre>package com.example.helloweb;

import android.app.Activity;
import android.app.ActionBar;
import android.app.Fragment;
import android.content.Context;
import android.os.Bundle;
import android.view.LayoutInflater;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;
import android.view.ViewGroup;
import android.os.Build;
import android.webkit.WebChromeClient;
import android.webkit.WebView;
import android.webkit.WebSettings;
import android.webkit.WebStorage.QuotaUpdater;

public class MainActivity extends Activity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

        // 为了支持HTML5使用数据库(sqlite)的本地存储
        String databasePath = getApplicationContext().getDir("database", Context.MODE_PRIVATE).getPath();

        if (savedInstanceState == null) {
            PlaceholderFragment fragment = new PlaceholderFragment();
            fragment.setDatabasePath(databasePath);

            getFragmentManager().beginTransaction()
                    .add(R.id.container, fragment)
                    .commit();
        }
    }

    @Override
    public boolean onCreateOptionsMenu(Menu menu) {

        // Inflate the menu; this adds items to the action bar if it is present.
        getMenuInflater().inflate(R.menu.main, menu);
        return true;
    }

    @Override
    public boolean onOptionsItemSelected(MenuItem item) {
        // Handle action bar item clicks here. The action bar will
        // automatically handle clicks on the Home/Up button, so long
        // as you specify a parent activity in AndroidManifest.xml.
        int id = item.getItemId();
        if (id == R.id.action_settings) {
            return true;
        }
        return super.onOptionsItemSelected(item);
    }

    /**
     * A placeholder fragment containing a simple view.
     * 被实例化，作为子UI的类
     */
    public static class PlaceholderFragment extends Fragment {
        String databasePath;

        public PlaceholderFragment() {
        }

        // 拿到MainActivity生成的数据库路径
        public void setDatabasePath(String databasePath){
            this.databasePath = databasePath;
        }

        @Override
        public View onCreateView(LayoutInflater inflater, ViewGroup container,
                Bundle savedInstanceState) {

            View rootView = inflater.inflate(R.layout.fragment_main, container, false);

            // 通过IDE在子UI里拖进去一个webView,所以这里从rootView里查找
            WebView  webView = (WebView)rootView.findViewById(R.id.webView1);
            webView.setWebChromeClient(this.makeWebChromeClient());

            WebSettings webSettings = webView.getSettings();
            webSettings.setJavaScriptEnabled(true);
            webSettings.setDatabaseEnabled(true);
            webSettings.setDatabasePath(this.databasePath);

            // 可以加载本地和网络的资源，加载网络资源需要配置权限
            //webView.loadUrl("http://www.csdn.net/");
            webView.loadUrl("file:///android_asset/demo.html");
            return rootView;
        }

        private WebChromeClient makeWebChromeClient(){
            return new WebChromeClient(){
                @Override
                public void onExceededDatabaseQuota(
                    String url,
                    String databaseIdentifier,
                    long currentQuota,
                    long estimatedSize,
                    long totalUsedQuota,
                    QuotaUpdater quotaUpdater) {
                        quotaUpdater.updateQuota(5 * 1024 * 1024);
                    }
            };
        }
    }
}</pre>
<p>配置app访问网络的权限（在AndroidManifest.xml文件里配置）</p>
<pre>&lt;?xml version="1.0" encoding="utf-8"?&gt;
&lt;manifest&gt;

    &lt;uses-permission android:name="android.permission.INTERNET" /&gt; 

    &lt;uses-sdk/&gt;
    &lt;application&gt;&lt;/application&gt;

&lt;/manifest&gt;</pre>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-29 01:38:42 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>支持HTML5 SqlLite的AndroidApp的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3q5mqz3.html" rel="bookmark">IE8 不支持html5 placeholder的解决方案</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				IE8不支持html5 placeholder的解决方法. /** * jQuery EnPlaceholder plug * version 1.0 2014.07.01戈志刚 * by Frans.Lee &lt;[email protected]&gt; http://www.ifrans.cn */ (function ($) { $.fn.extend({ &quot;iePlaceholder&quot;:function (options) { options = $.extend({ pl			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MEoo2g3.html" rel="bookmark">（转）让所有浏览器支持HTML5 video视频标签</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				转自http://www.zhangxinxu.com/wordpress/?p=661 一.前面的唠叨 我记得就是前几个月吧,有条消息说YouTube支持了HTML5视频嵌入标签video,好吧,我听说而已,因为我不是个擅长FQ的人,到底如何我也不得而知. 与主题不相关的HTML5方面的东西我就不多说了,对于video标签,获取大家都听说了,这个标签的功能如同现在HTML语言中的img标签,就现在,比如要链接并显示一张图片,可以这样子: &lt;img data-src=&quot;http://ima			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3OaeyZM.html" rel="bookmark">如何让旧浏览器支持HTML5新标签</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				HTML5出现也不短了,很多网站的页面都进行了改版,为了降低代码量(不需要起太多的类名),提升加载速度,提高标签的语义性,因此,在网页中大量使用了section,article,header等HTML5标签.自己最近在写响应式布局的范例,里面也使用到了header等标签.还是比较希望能够做成兼容“旧版浏览器”的,在此和大家共享一下,如何让旧浏览器支持HTML5新增标签. 书写的基本的HTML代码: 1 &lt;!doctype html&gt; 2 &lt;html&gt; 3 &lt;head&gt;			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3vZ8PX3.html" rel="bookmark">IE（IE6&sol;IE7&sol;IE8）支持HTML5标签--20150216</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				让IE(ie6/ie7/ie8)支持HTML5元素,我们需要在HTML头部添加以下JavaScript,这是一个简单的document.createElement声明,利用条件注释针对IE来调用这个js文件.Opera,FireFox等其他非IE浏览器就会忽视这段代码,也不会存在http请求. 方式一:引用google的html5.js文件,代码内容可以自己下载下来看. &lt;!–[if lt IE9]&gt; &lt;script src=&quot;http://html5shiv.googleco			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MDr6Ao3.html" rel="bookmark">如何让转换的视频支持HTML5在线播放</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				转换工具当然是ffmpeg了,那么如何让转换后的视频支持所有支持HTML5的浏览器在线播放?只需要如下命令行代码就行了: ffmpeg -i output.mpg -vcodec libx264 -acodec aac -vprofile slow -vprofile baseline output_video.mp4 想要知道为什么要这么设置音视频编码么?参考:https://developer.mozilla.org/en-US/docs/Web/HTML/Supported_media_f			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0leKAX3.html" rel="bookmark">如何判断当前浏览器是否支持html5的video标签</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				如何判断当前浏览器是否支持html5的video标签: html5新增了video标签,用于播放视频,功能非常的强大,但是由于当前很多浏览器还不支持,所以在使用的时候需要判断当前浏览器是否支持此标签,下面就提供一段能够实现此功能的代码,希望能够给需要的朋友带来一定的帮助. 代码如下: //检测是否支持HTML5 function checkVideo() { if(!!document.createElement('video').canPlayType){ var vidTest = docu			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0YRbaa3.html" rel="bookmark">解决ie不支持HTML5 placeholder的问题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				https://github.com/mathiasbynens/jquery-placeholder 解决ie不支持HTML5 placeholder的问题Requires jQuery 1.6+. For an older version of this plugin that works under jQuery 1.4.2+, see v1.8.7.Works in all A-grade browsers, including IE6.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0bqQpkM.html" rel="bookmark">让IE完美支持HTML5&lpar;css3&rpar;解决办法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				貌似以前与大家分享过此类问题,HTML5/CSS3那些炫丽实用的效果,真得让人很眼谗,但悲催的IE浏览器,只有IE9才支持HTML5,这让我们很失望啊,但真的就没有一点办法了吗?其实补救方法还是有的,下面介绍的几种方法,可让客户端浏览器完美支持CSS3.HTML5: 第一种方法:IE9以下版本的IE将创建HTML5标签, 非IE浏览器会忽略这段代码,因此不会发生http请求,也就不影响网页执行效率. &lt;!--[if lt IE9]&gt; &lt;script&gt; (function() { i			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/Mglxqp0.html" rel="bookmark">jquery实现上传图片预览&lpar;需要浏览器支持html5&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				jquery实现上传图片预览(需要浏览器支持html5) &lt;!DOCTYPE html PUBLIC &quot;-//W3C//DTD XHTML 1.0 Transitional//EN&quot; &quot;http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd&quot;&gt; &lt;html xmlns=&quot;http://www.w3.org/1999/xhtml&quot;&gt; &lt;head&gt; &lt;m			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/V0bvV0d.html" rel="bookmark" class="title">unity  射线检测</a>
					<div>
						unity中射线检测时非常实用也经常实用的一种手段.下面讲解一下射线检测问题. 1)Ray 根据射线端点和射线的方向定义一条射线 Ray ray= new Ray(transform.position ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/XMgoARM.html" rel="bookmark" class="title">Java开发环境搭建&mdash;&mdash;CentOS配置</a>
					<div>
						普通用户添加到sudoers u切换到root visudo进入编辑,找到root  ALL=(ALL)    ALL,在后面加上myusername ALL=(ALL)  ALL 配置网络sudo  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3r5wyl0.html" rel="bookmark" class="title">C 函数 strstr 的高效实现</a>
					<div>
						      C函数库中有一个函数 strstr(char*, char*),它实现的是在一个原字符串中查找一个子串.假设找到这种一个子串,返回这个子串在原字符串中的起始位置,若没有找到这种一个子串.则 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MLDdldM.html" rel="bookmark" class="title">勒索病毒防护</a>
					<div>
						1 概述 WannaCry(又叫Wanna Decryptor),一种“蠕虫式”的勒索病毒软件,大小3.3MB,由不法分子利用NSA(National Security Agency,美国国家安全局) ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/M6NwmWM.html" rel="bookmark" class="title">Git学习笔记&lpar;1&rpar;</a>
					<div>
						一.Git特点 1.直接快照,而非比较差异 Git只关心文件数据的整体是否发生变化,而不关心具体文件及其内容发生了那些变化.也就是说Git在保存文件时,每次只会在上一次版本基础上保存那些变化的文件,为 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0dxm790.html" rel="bookmark" class="title">自动备份数据库</a>
					<div>
						@echo off echo echo echo color 0b &amp; cls echo 设置备份文件存放文件夹... set &quot;tbuf=D:\back&quot; echo db ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/M6187X4.html" rel="bookmark" class="title">使用QT 4&period;8&period;6 &plus; Cmake 3&period;0&period;0 编译 最新版本OpenCv3&period;0&period;0</a>
					<div>
						mingw32 (x32) gcc 4.8.1 g++ 4.8.1 qt 4.8.6 opencv-3.0.0 2015-06-04 cmake 3.3.0-rc1 windows 7 x64 参考文 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0kp9WX3.html" rel="bookmark" class="title">PHPCMS V9二次开发自定义分页函数的解决方案</a>
					<div>
						下面为大家分享一个PHPCMS V9二次开发自定义分页函数的方法. 方法如下: 首先打开 phpcms\libs\functions\global.func.php这个文件,找到分页函数,复制一下,粘 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0ek6yD4.html" rel="bookmark" class="title">vista风格的cms企业html后台管理系统模板&mdash;&mdash;后台</a>
					<div>
						链接:http://pan.baidu.com/s/1c1Cv99e 密码:20yz					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MV7j620.html" rel="bookmark" class="title">Thinkphp3&period;2使用scws中文分词 提取关键词</a>
					<div>
						SCWS 是 Simple Chinese Word Segmentation 的首字母缩写(即:简易中文分词系统).1.下载scws官方提供的类(这里使用的是pscws第四版的)http://www ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MLvpLv3.html" rel="bookmark" class="title">求树中的最长路 （&ast;【模板】）</a>
					<div>
						两次DFS求树中的最长路. 基于邻接矩阵: 代码: #include &lt;stdio.h&gt; #include &lt;string.h&gt; #include &lt;vector&gt; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MzBzGdM.html" rel="bookmark" class="title">css实例--边框</a>
					<div>
						border-image: border-image-source border-image-slice:裁剪,可以是像素值或百分比: border-image-width border-image- ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0RkJ973.html" rel="bookmark" class="title">&lbrack;转&rsqb;说说C&num;的async和await</a>
					<div>
						C# 5.0中引入了async 和 await.这两个关键字可以让你更方便的写出异步代码. 看个例子: public class MyClass { public MyClass() { Displa ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MynWaV0.html" rel="bookmark" class="title">2015&comma;7&comma;13随笔</a>
					<div>
						tokenStrat: 都江堰 ＂．恋影ゝ14a36c40f0e506794693e7beb093cb0f 蓬莱仙境 250善恶2502e5c549b916a94313e9a1c620c7efc5a蓬 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0a6l1q3.html" rel="bookmark" class="title">数据库监听</a>
					<div>
						用oracle用户登录数据库后台执行:lsnrctl status  可查看数据库监听的启动状态. 1.若登录数据库时,出现如下错误提示:ORA-12541:TNS:无监听程序 1)监听配置有问题,需 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MXDE9wM.html" rel="bookmark" class="title">hdu 3472 HS BDC 混合欧拉 网络流</a>
					<div>
						题意就是问能否将给定的几个单词全部连接起来,两个单词能连接是当前一个单词的最后一个字母等于后一个单词的首字母.还有一些单词反向也没有关系. 建图,每输入一个单词,只看他的首尾字母,连接一条首字母到尾字 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0ba7p9M.html" rel="bookmark" class="title">外包项目总结</a>
					<div>
						本人是屌丝创业,因为要吃饭,所以团队接了一个外包项目来做,报价吧,一万多,是原网站的改版,其实我不想提起的,真是坑的啊!坑得我面目全非了! 原网站也不知道是外包给哪个公司做的,是asp的,现在要求改版 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/38K8LZ0.html" rel="bookmark" class="title">Application HookMainWindow</a>
					<div>
						//H Filebool __fastcall AppHookFunc(TMessage &amp;Message); //cpp file void __fastcall TForm2::FormC ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0l8ZbL0.html" rel="bookmark" class="title">【Android】数据的应用-使用sharedpreferences存储数据</a>
					<div>
						Android应用开发SharedPreferences存储数据的使用方法 SharedPreferences是Android中最容易理解的数据存储技术,实际上SharedPreferences处理的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4JGmzlM.html" rel="bookmark" class="title">Mac系统打开应用程序文件夹的方法&plus;解决Android studio出现fetching android sdk component超时打不开的问题</a>
					<div>
						Mac系统打开应用程序文件夹的方法 我们知道Mac系统文件系统不同于Windows,在Windows下的应用程序安装程序师以.exe为后缀,而mac系统则是以.dmg为后缀.从App Store下载下 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 11 q. 0.023 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
